From 64cc56a2acb69293065948728109d66a10adc093 Mon Sep 17 00:00:00 2001
From: Leah Neukirchen <leah@vuxu.org>
Date: Thu, 18 Jul 2019 10:22:24 +0200
Subject: [PATCH 08/14] [WIP] libffi: update to 3.3.

Using rc0.
---
 common/shlibs                                 |  2 +-
 srcpkgs/libffi/patches/fix-aarch64.patch      | 15 ----
 .../libffi/patches/fix_includedir_path.diff   | 20 -----
 .../patches/libffi-fix-define-for-musl.patch  | 13 ---
 srcpkgs/libffi/patches/libffi-pr401.patch     | 33 --------
 .../patches/libffi-race-condition.patch       | 38 ---------
 srcpkgs/libffi/patches/mips.sgidefs_h.patch   | 11 ---
 srcpkgs/libffi/patches/mips.softfloat.patch   | 83 -------------------
 srcpkgs/libffi/patches/mipsen-r6.diff         | 17 ----
 srcpkgs/libffi/template                       |  9 +-
 10 files changed, 6 insertions(+), 235 deletions(-)
 delete mode 100644 srcpkgs/libffi/patches/fix-aarch64.patch
 delete mode 100644 srcpkgs/libffi/patches/fix_includedir_path.diff
 delete mode 100644 srcpkgs/libffi/patches/libffi-fix-define-for-musl.patch
 delete mode 100644 srcpkgs/libffi/patches/libffi-pr401.patch
 delete mode 100644 srcpkgs/libffi/patches/libffi-race-condition.patch
 delete mode 100644 srcpkgs/libffi/patches/mips.sgidefs_h.patch
 delete mode 100644 srcpkgs/libffi/patches/mips.softfloat.patch
 delete mode 100644 srcpkgs/libffi/patches/mipsen-r6.diff

diff --git a/common/shlibs b/common/shlibs
index 2f146bbfa9d..e965cab56e6 100644
--- a/common/shlibs
+++ b/common/shlibs
@@ -195,7 +195,7 @@ libtextstyle.so.0 gettext-libs-0.20.1_1
 libattr.so.1 attr-2.4.43_1
 libacl.so.1 acl-2.2.47_1
 libpython2.7.so.1.0 python-2.7_1
-libffi.so.6 libffi-3.1_1
+libffi.so.7 libffi-3.3_1
 libffcall.so.0 ffcall-2.1_1
 libavcall.so.1 ffcall-2.1_1
 libtrampoline.so.1 ffcall-2.1_1
diff --git a/srcpkgs/libffi/template b/srcpkgs/libffi/template
index 9b3e04e8f42..b0dde3fbc13 100644
--- a/srcpkgs/libffi/template
+++ b/srcpkgs/libffi/template
@@ -1,7 +1,7 @@
 # Template file for 'libffi'
 pkgname=libffi
-version=3.2.1
-revision=6
+version=3.3
+revision=1
 build_style=gnu-configure
 configure_args="--includedir=/usr/include --with-pic"
 checkdepends="dejagnu"
@@ -9,8 +9,9 @@ short_desc="Library supporting Foreign Function Interfaces"
 maintainer="Juan RP <xtraeme@voidlinux.org>"
 license="MIT"
 homepage="http://sourceware.org/libffi"
-distfiles="ftp://sourceware.org/pub/$pkgname/$pkgname-$version.tar.gz"
-checksum=d06ebb8e1d9a22d19e38d63fdb83954253f39bedc5d46232a05645685722ca37
+distfiles="https://github.com/libffi/libffi/releases/download/v3.3-rc0/libffi-3.3-rc0.tar.gz"
+wrksrc="libffi-3.3-rc0"
+checksum=403d67aabf1c05157855ea2b1d9950263fb6316536c8c333f5b9ab1eb2f20ecf
 
 pre_install() {
 	vmkdir usr/lib

